New: Try our AI‑powered Search (Ctrl + K) — Read more

EMS Configuration API

Prev Next

Base Path: https://nbin1/nbapiemswsweb/rest/v1
Version: 1.0


API Endpoints

CliScriptController

Controller to access and modify CLI Scripts

PUT /CliScript/{id}

Edit a CLI Script

Path Parameters:

Name Type Description
id CLI Script persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /CliScript/{id}

Get a CLI Script data

Path Parameters:

Name Type Description
id CLI Script persistent id

Produces: application/json
Consumes: application/json

DELETE /CliScript/{id}

Delete a CLI Script

Path Parameters:

Name Type Description
id CLI Script persistent id

Produces: application/json
Consumes: application/json

POST /CliScript

Create a new CLI Script

Request Body: See Objects section

Produces: application/json
Consumes: application/json

ConfigFlowExecutorController

Controller for ConfigFlowExecutor

PUT /ConfigFlowExecutor/{id}

Edit an existing config flow executor

Path Parameters:

Name Type Description
id Config flow executor persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

POST /ConfigFlowExecutor/{id}/start

Start a config flow executor

Path Parameters:

Name Type Description
id Config flow executor persistent id

Produces: application/json
Consumes: application/json

GET /ConfigFlowExecutor/{id}

Get a config flow executor

Path Parameters:

Name Type Description
id Config flow executor persistent id

Produces: application/json
Consumes: application/json

DELETE /ConfigFlowExecutor/{id}

Delete an existing config flow executor

Path Parameters:

Name Type Description
id Config flow executor persistent id

Produces: application/json
Consumes: application/json

POST /ConfigFlowExecutor/{id}/stop

Stop a config flow executor

Path Parameters:

Name Type Description
id Config flow executor persistent id

Produces: application/json
Consumes: application/json

POST /ConfigFlowExecutor/{id}/param

Set the token parameter values of this executor.

Path Parameters:

Name Type Description
id Config flow executor persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

POST /ConfigFlowExecutor

Create a new config flow executor

Request Body: See Objects section

Produces: application/json
Consumes: application/json

POST /ConfigFlowExecutor/{id}/dataset

Set a config flow executor with flow dataset.

Path Parameters:

Name Type Description
id Config flow executor persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

POST /ConfigFlowExecutor/{id}/assign

Assign network elements to this executor

Path Parameters:

Name Type Description
id Config flow executor persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

ConfigFlowProfileController

Controller for ConfigFlowProfile

GET /ConfigFlowProfile/{id}

Get a config flow profile

Path Parameters:

Name Type Description
id Config flow profile persistent id

Produces: application/json
Consumes: application/json

ConfigJobController

Controller for Config jobs

GET /ConfigJob/{id}

Get a config job

Path Parameters:

Name Type Description
id Config job persistent id

Produces: application/json
Consumes: application/json

ConfigJobExecutorController

Controller for Config job executor

POST /ConfigJobExecutor/{id}/start

Start a config job executor

Path Parameters:

Name Type Description
id Config job executor persistent id

Produces: application/json
Consumes: application/json

GET /ConfigJobExecutor/{id}

Get a config job executor

Path Parameters:

Name Type Description
id Config job executor persistent id

Produces: application/json
Consumes: application/json

POST /ConfigJobExecutor/{id}/stop

Stop a config job executor

Path Parameters:

Name Type Description
id Config job executor persistent id

Produces: application/json
Consumes: application/json

ConfigNetworkPartitionController

Controller for ConfigNetworkPartition

PUT /ConfigNetworkPartition/{id}

Edit an existing network partition configuration

Path Parameters:

Name Type Description
id Network partition configuration persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /ConfigNetworkPartition/{id}

Get a network partition configuration

Path Parameters:

Name Type Description
id Network partition configuration persistent id

Produces: application/json
Consumes: application/json

DELETE /ConfigNetworkPartition/{id}

Delete an existing network partition configuration

Path Parameters:

Name Type Description
id Network partition configuration persistent id

Produces: application/json
Consumes: application/json

POST /ConfigNetworkPartition

Create a new network partition configuration

Request Body: See Objects section

Produces: application/json
Consumes: application/json

ConfigurationController

Controller for Legacy Orchestrator configuration

GET /Configuration/authenticationConfig

Get the authentication configuration

Produces: application/json
Consumes: application/json

POST /Configuration/authenticationConfig

Set the authentication configuration

Request Body: See Objects section

Produces: application/json
Consumes: application/json

DatasetController

Controller for dataset

PUT /Dataset/{id}

Edit a dataset

Path Parameters:

Name Type Description
id Dataset persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /Dataset/{id}

Get a dataset data

Path Parameters:

Name Type Description
id Dataset persistent id

Produces: application/json
Consumes: application/json

DELETE /Dataset/{id}

Delete a dataset

Path Parameters:

Name Type Description
id Dataset persistent id

Produces: application/json
Consumes: application/json

POST /Dataset

Create a new dataset

Request Body: See Objects section

Produces: application/json
Consumes: application/json

InventoryController

Controller for inventory

GET /Inventory/managedObject/{type}/{id}

Get a managed object by type and id

Path Parameters:

Name Type Description
type Managed object class type
id Managed object persistent id

Produces: application/json
Consumes: application/json

POST /Inventory/networkElement/{id}

Get managed objects for specified network element.
If no type is specified then all managed objects are returned else only the ones for the specified types are.

Path Parameters:

Name Type Description
id Network element persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /Inventory/managedObject

Get a managed object by DN

Query Parameters:

Name Type Required Description
dn Yes Managed object dn

Produces: application/json
Consumes: application/json

GET /Inventory/managedObject/{type}/{id}/{embeddedType}/{embeddedId}

Get an embedded managed object

Path Parameters:

Name Type Description
type Managed object class type
id Managed object persistent id
embeddedType Embedded managed object class type
embeddedId Embedded managed object persistent id

Produces: application/json
Consumes: application/json

InventorySearchController

Controller to query the client model for inventory

GET /Search/Inventory/managedObject/{type}

Execute a inventory search query for managed objects.

Query Parameters:

Name Type Required Description
SearchParametersMap No Not available via Playground. The query arguments (search and sorting options) are internally represented as a map and must be populated as query parameters. Refer to Search Controller global documentation for usage description.
limit No Optional limit per page parameter
page No Optional page number parameter

Path Parameters:

Name Type Description
type The inventory managed object type to query

Produces: application/json
Consumes: application/json

POST /Search/Inventory/networkElements

Execute a inventory search query for network elements and managed objects. If no managed object is specified then all of them will be looked for.

Query Parameters:

Name Type Required Description
limit No Optional limit per page parameter
page No Optional page number parameter

Request Body: See Objects section

Produces: application/json
Consumes: application/json

POST /Search/Inventory/{type}/metadata

Execute a inventory search query for managed objects based on metadata. The metadata must be provided in JSON format within the request body. The system iterates through all attributes of the JSON data and searches them individually.

Query Parameters:

Name Type Required Description
limit No Optional limit per page parameter
page No Optional page number parameter

Path Parameters:

Name Type Description
type The inventory managed object type supports metadata: [VCX_VCE] or [VCX_INTERFACES]

Request Body: See Objects section

Produces: application/json
Consumes: application/json

NeCredentialController

Controller for NE credentials

PUT /NECredential/{id}

Edit an existing credential

Path Parameters:

Name Type Description
id Credential persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /NECredential/{id}

Get the credential by id

Path Parameters:

Name Type Description
id Credential persistent id

Produces: application/json
Consumes: application/json

DELETE /NECredential/{id}

Delete a credential by id

Path Parameters:

Name Type Description
id Credential persistent id

Produces: application/json
Consumes: application/json

POST /NECredential

Create a new credential

Request Body: See Objects section

Produces: application/json
Consumes: application/json

NeInterfaceInventoryController

Controller for the NE interfaces inventory

GET /NEInterface/{id}

Get an interface

Path Parameters:

Name Type Description
id Interface persistent id

Produces: application/json
Consumes: application/json

NePortInventoryController

Controller for the NE ports inventory

GET /NEPort/{id}

Get a port

Path Parameters:

Name Type Description
id Port persistent id

Produces: application/json
Consumes: application/json

NetworkElementController

Controller for Network elements

PUT /NetworkElement/{id}

Edit the specified network element

Path Parameters:

Name Type Description
id Network element persistent id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /NetworkElement/{id}

Get the specified network element

Path Parameters:

Name Type Description
id Network element persistent id

Produces: application/json
Consumes: application/json

DELETE /NetworkElement/{id}

Delete the specified network element

Path Parameters:

Name Type Description
id Network element persistent id

Produces: application/json
Consumes: application/json

POST /NetworkElement

Create a new network element

Request Body: See Objects section

Produces: application/json
Consumes: application/json

POST /NetworkElement/{id}/addSubtend/{serial}

Add an element that is in the element inventory

Path Parameters:

Name Type Description
id Network element persistent id
serial Element serial to add

Produces: application/json
Consumes: application/json

GET /NetworkElement/{id}/inventory

See the network element inventory

Path Parameters:

Name Type Description
id Network element persistent id

Produces: application/json
Consumes: application/json

POST /NetworkElement/import

Add network elements using a XML file

Query Parameters:

Name Type Required Description
file Yes XML formatted import file

Produces: application/json
Consumes: application/json

POST /NetworkElement/{id}/directCommand

Send a command directly to the element.

Please note that commands having paging (the --More-- prompt) are not supported by this service.

The paging option must be explicitly added to the desired command to make it work properly otherwise command will timeout.

Example: vid-set show vid must be vid-set show vid paging disable

Path Parameters:

Name Type Description
id Network element persistent id

Request Body: See Objects section

Produces: application/json
Consumes: text/plain

GET /NetworkElement/{id}/utilities/traceroute

Send a traceroute command directly to the element and return parsed output.

Query Parameters:

Name Type Required Description
family No The type of traceroute command to run. There are two values:
V4 for traceroute command
V6 for traceroute6 command
host Yes The host address to trace route
OptionsParametersMap No The options of the command. It includes:
[-C VCE] [-f 1ST_TTL] [-m MAXTTL] [-p PORT]
[-q PROBES] [-s SRC_IP] [-t TOS] [-w WAIT_SEC]
[-g GATEWAY] [-i IFACE] [-z PAUSE_MSEC]

There are 2 kind of key options:
Option has also key and value
Example: C=vce name, i=eth0, q=5

Option must be put into group key 'opts' is 46FIldnrv
Example: opts=n, opts=46FIldnrv

Detail key description:
-4	Force IPv4 name resolution
-6 Force IPv6 name resolution
-C Send a traceroute through a specific VCE
-F Set the don't fragment bit
-I Use ICMP ECHO instead of UDP datagrams
-l Display the TTL value of the returned packet
-d Set SO_DEBUG options to socket
-n Print numeric addresses
-r Bypass routing tables, send directly to HOST
-v Verbose
-f TTL to start with (default 1)
-m Max time-to-live (max number of hops)
-p Base UDP port number used in probes (default 33434)
-q Number of probes per TTL (default 3)
-s IP address to use as the source address
-t Type-of-service in probe packets (default 0)
-w Time in seconds to wait for a response (default 3)
-g Loose source route gateway (8 max)
-i Select ethernet interface (default is selected from routes)
-z Delay in milliseconds between probes

Request info examples:
https:///nbapiemswsweb/rest/v1/NetworkElement/6/utilities/traceroute?host=x.x.x.x&family=V4&q=5&opts=n
https:///nbapiemswsweb/rest/v1/NetworkElement/6/utilities/traceroute?host=x.x.x.x&family=V4&w=5&opts=4In

Path Parameters:

Name Type Description
id Network element persistent id

Produces: application/json
Consumes: application/json

POST /NetworkElement/{id}/resynch

Resynch the specified network element

Path Parameters:

Name Type Description
id Network element persistent id

Produces: application/json
Consumes: application/json

POST /NetworkElement/{id}/manage

Manage the specified network element

Path Parameters:

Name Type Description
id Network element persistent id

Produces: application/json
Consumes: application/json

POST /NetworkElement/{id}/unmanage

Unmanage the specified network element

Path Parameters:

Name Type Description
id Network element persistent id

Produces: application/json
Consumes: application/json

RFC2544ConfigController

Controller for RFC2544 Configurations

PUT /SAT/RFC2544/CONFIG/{id}

Edit an existing RFC2544 config

Path Parameters:

Name Type Description
id Configuration Parameter Id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /SAT/RFC2544/CONFIG/{id}

Get a RFC2544 config by id

Path Parameters:

Name Type Description
id Configuration Parameter Id

Produces: application/json
Consumes: application/json

GET /SAT/RFC2544/CONFIG

Get default parameter values on RFC2544 config

Produces: application/json
Consumes: application/json

DELETE /SAT/RFC2544/CONFIG/{id}

Delete a RFC2544 config by id

Path Parameters:

Name Type Description
id Configuration Parameter Id

Produces: application/json
Consumes: application/json

POST /SAT/RFC2544/CONFIG

Create a new RFC2544 config

Request Body: See Objects section

Produces: application/json
Consumes: application/json

PATCH /SAT/RFC2544/CONFIG/{id}

Edit an existing RFC2544 config with specified parameters

Path Parameters:

Name Type Description
id Configuration Parameter Id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

RFC2544ReportInfoController

Controller for RFC2544 Reports

GET /SAT/RFC2544/{id}

Get a RFC2544 test report

Path Parameters:

Name Type Description
id RFC2544 test report id

Produces: application/json
Consumes: application/json

DELETE /SAT/RFC2544/{id}

Delete a RFC2544 test report

Path Parameters:

Name Type Description
id RFC2544 test report id

Produces: application/json
Consumes: application/json

POST /SAT/RFC2544/startTest

Start a RFC2544 test

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /SAT/RFC2544/{id}/pdfReport

Export PDF RFC2544 report

Path Parameters:

Name Type Description
id RFC2544 test report id

Produces: application/pdf, application/hal+json, application/json
Consumes: application/json

POST /SAT/RFC2544/{id}/stopTest

Stop a RFC2544 test currently running

Path Parameters:

Name Type Description
id RFC2544 test report id

Produces: application/json
Consumes: application/json

SearchController

Controller to query the client model

GET /Search

List available objects to search

Produces: application/json
Consumes: application/json

GET /Search/{type}

Execute a search query

Query Parameters:

Name Type Required Description
SearchParametersMap No Not available via Playground. The query arguments (search and sorting options) are internally represented as a map and must be populated as query parameters. Refer to Search Controller global documentation for usage description.
limit No Optional limit per page parameter
page No Optional page number parameter

Path Parameters:

Name Type Description
type The object type to query

Produces: application/json
Consumes: application/json

SystemController

Controller for System operations

GET /System/version

Get the Legacy Orchestrator version

Produces: application/json
Consumes: application/json

GET /System/time

Get the Legacy Orchestrator server date and timezone (ie: 2016-04-11 14:19 -0400)

Produces: application/json
Consumes: application/json

GET /System/time/timezone/offset

Get the Legacy Orchestrator server timezone offset (ie: -4.0)

Produces: application/json
Consumes: application/json

GET /System/usage

Get the usage data count

Query Parameters:

Name Type Required Description
unit Yes Specifies the time unit for retrieving usage data count

Produces: application/json
Consumes: application/json

GET /System/id

Get the system id

Produces: application/json
Consumes: application/json

GET /System/time/timezone

Get the Legacy Orchestrator server timezone (ie: Eastern Standard Time)

Produces: application/json
Consumes: application/json

GET /System/keepalive

Keepalive call in order to keep the session active.

Produces: application/json
Consumes: application/json

Y1564ConfigController

Controller for Y1564 Configurations

PUT /SAT/Y1564/CONFIG/{id}

Edit an existing Y1564 config

Path Parameters:

Name Type Description
id Configuration Parameter Id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /SAT/Y1564/CONFIG/{id}

Get a Y1564 config by id

Path Parameters:

Name Type Description
id Configuration Parameter Id

Produces: application/json
Consumes: application/json

GET /SAT/Y1564/CONFIG

Get default parameter values on Y1564 config

Produces: application/json
Consumes: application/json

DELETE /SAT/Y1564/CONFIG/{id}

Delete a Y1564 config by id

Path Parameters:

Name Type Description
id Configuration Parameter Id

Produces: application/json
Consumes: application/json

POST /SAT/Y1564/CONFIG

Create a new Y1564 config

Request Body: See Objects section

Produces: application/json
Consumes: application/json

PATCH /SAT/Y1564/CONFIG/{id}

Edit an existing Y1564 config with specified parameters

Path Parameters:

Name Type Description
id Configuration Parameter Id

Request Body: See Objects section

Produces: application/json
Consumes: application/json

Y1564ReportInfoController

Controller for Y1564 Reports

GET /SAT/Y1564/{id}

Get a Y1564 test report

Path Parameters:

Name Type Description
id Y1564 test report id

Produces: application/json
Consumes: application/json

DELETE /SAT/Y1564/{id}

Delete a Y1564 test report

Path Parameters:

Name Type Description
id Y1564 test report id

Produces: application/json
Consumes: application/json

POST /SAT/Y1564/startTest

Start a Y1564 test

Request Body: See Objects section

Produces: application/json
Consumes: application/json

GET /SAT/Y1564/{id}/pdfReport

Export PDF Y1564 report

Path Parameters:

Name Type Description
id Y1564 test report id

Produces: application/pdf, application/hal+json, application/json
Consumes: application/json

POST /SAT/Y1564/{id}/stopTest

Stop a Y1564 test currently running

Path Parameters:

Name Type Description
id Y1564 test report id

Produces: application/json
Consumes: application/json


Data Objects

Alarm

This represents the alarm details received.

From the NID we take traps and turn them into this object.

DTO Attribute Source Value
state acdAlarmActiveState and acdAlarmClearState OIDs
severity acdAlarmCfgSeverity OID
probableCause defined in X.733
alarmType defined in X.733
serviceAffecting acdAlarmCfgServiceAffecting OID
receivedTime timestamp when the associated trap was received in the EMS
alarmNumber acdAlarmCfgExtNumber OID
description acdAlarmCfgDesc OID
lastStatusChange acdAlarmStatusLastChange OID
conditionType acdAlarmCfgConditionType OID
sourceEntity acdAlarmCfgAMOType OID
neIpAddress Network Element IP address
neLabel Network Element label
neSerial Network Element serial

See the ACC-ALARM-MIB for more details. The MIB file can be found on Legacy Orchestrator server at location /opt/accedian/skylight/snmpmibs.

Field Type Required Description
alarmNumberAsString `` No The alarm number as string
alarmType `` No The alarm type
conditionType `` No The condition type
description `` No The alarm description text
lastStatusChange `` No Last status change on the ME this is maybe the time the alarm was generated
neIpAddress `` No The Network Element IP Address
neLabel `` No The Network Element Label
neName `` No The Network Element Name
neSerial `` No The Network Element Serial
probableCause `` No The probable cause
receivedTime `` No When the event is received.
It is in a Epoch UNIX time format, which is the number of milliseconds since 1st January 1970. ( ie: 2016-03-23T11:01:34 gives 1458730894000 )
serviceAffecting `` No Is this service affecting
severity `` No Alarm severity
sourceEntity `` No The source of the alarm: the alarm maintenance object type
state `` No The alarm state, it is needed in case the Active alarm is never received but the Clear is received...

AssignElementsToFlowExecutorAction

Assign network elements to the specified config flow executor

Field Type Required Description
elementAssociation `` No Associate network element IDs to config jobs. This is done via a map containing the association mappings. The map format is: key=config job name or config job NE token; value=list of element ids

AssociationManagedObject

This represents an association managed object

Field Type Required Description
attributeName `` No The attribute name of the associated managed object
id `` No The id of the associated managed object
inventoryManagedObjectDescriptor `` No The inventory managed object type of the associated managed object
link `` No The URL of the associated managed object

AuthenticationConfiguration

Object used to configure the authentication settings in the Legacy Orchestrator

Field Type Required Description
authenticationOrder `` No The list of authentication methods. The Legacy Orchestrator will try each method in the order defined in this list.
radiusConfiguration `` No The configuration to communicate with the radius server

AuthenticationConfigurationInputObject

Object used to configure the authentication settings in the Legacy Orchestrator

Field Type Required Description
authenticationOrder `` No The list of authentication methods. The Legacy Orchestrator will try each method in the order defined in this list.
radiusConfiguration `` No The configuration to communicate with the radius server

AuthenticationMethod

Definition of an Authentication method for the Legacy Orchestrator.

Field Type Required Description
enabled `` No Is this authentication config enabled?
method `` No The authentication method
tryNextOnRefused `` No Try the next method, if the current method gets a authentication refused?
tryNextOnTimeout `` No Try the next method, if the current method times out?

AuthenticationMethodInputObject

Definition of an Authentication method for the Legacy Orchestrator.

Field Type Required Description
enabled `` No Is this authentication config enabled?
method `` No The authentication method
tryNextOnRefused `` No Try the next method, if the current method gets a authentication refused?
tryNextOnTimeout `` No Try the next method, if the current method times out?

BwregulatorMo

This represents a DTO managed object of Bwregulator type.

Field Type Required Description
associations `` No The associated managed objects
cbs `` No The cbs
cir `` No The cir
cirmax `` No The cirmax
colormode `` No The colormode
couplingflag `` No The couplingflag
dn `` No The managed object DN
ebs `` No The ebs
eir `` No The eir
eirmax `` No The eirmax
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
regulatorname `` No The regulatorname

CSVConfiguration

CSV Configuration DTO

Field Type Required Description
useCompression `` No

CSVConfigurationInputObject

CSV Configuration DTO

Field Type Required Description
useCompression `` No

CfmdmmMo

This represents a DTO managed object of Cfm-dmm type.

Field Type Required Description
associations `` No The associated managed objects
dmmenable `` No The dmmenable
dmminterval `` No The dmminterval
dmmmepname `` No The dmmmepname
dmmname `` No The dmmname
dmmow_ad_threshold `` No The dmmow_ad_threshold
dmmow_adv_threshold `` No The dmmow_adv_threshold
dmmow_delay `` No The dmmow_delay
dmmow_delay_threshold `` No The dmmow_delay_threshold
dmmow_dv `` No The dmmow_dv
dmmow_dv_threshold `` No The dmmow_dv_threshold
dmmow_max_delay `` No The dmmow_max_delay
dmmow_max_dv `` No The dmmow_max_dv
dmmpriority `` No The dmmpriority
dmmreference_period `` No The dmmreference_period
dmmrmepid `` No The dmmrmepid
dmmtw_ad_threshold `` No The dmmtw_ad_threshold
dmmtw_adv_threshold `` No The dmmtw_adv_threshold
dmmtw_delay `` No The dmmtw_delay
dmmtw_delay_threshold `` No The dmmtw_delay_threshold
dmmtw_dv `` No The dmmtw_dv
dmmtw_dv_threshold `` No The dmmtw_dv_threshold
dmmtw_max_delay `` No The dmmtw_max_delay
dmmtw_max_dv `` No The dmmtw_max_dv
dn `` No The managed object DN
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial

CfmmamegMo

This represents a DTO managed object of Cfm-ma-meg type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
label `` No The label
maidstringnameformatmode `` No The maidstringnameformatmode
megccm_interval `` No The megccm_interval
megidlistsize `` No The megidlistsize
meglevel `` No The meglevel
megmdname `` No The megmdname
megmepid_list `` No The megmepid_list
megmhf_creation `` No The megmhf_creation
megname `` No The megname
megnameformat `` No The megnameformat
megpvid `` No The megpvid
megsndr_id_perm `` No The megsndr_id_perm
megvid_list `` No The megvid_list
megvlan_type `` No The megvlan_type
megvlanlistsize `` No The megvlanlistsize
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial

CfmmdMo

This represents a DTO managed object of Cfm-md type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
label `` No The label
mdenable `` No The mdenable
mdlevel `` No The mdlevel
mdmhf_creation `` No The mdmhf_creation
mdname `` No The mdname
mdnameformat `` No The mdnameformat
mdsndr_id_perm `` No The mdsndr_id_perm
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial

CfmmepMo

This represents a DTO managed object of Cfm-mep type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
label `` No The label
mep_id `` No The mep_id
mepactive `` No The mepactive
mepcci_enable `` No The mepcci_enable
mepccm_seq_number `` No The mepccm_seq_number
mepcsf_enable `` No The mepcsf_enable
mepdirection `` No The mepdirection
mepfault_propagation `` No The mepfault_propagation
mepfng_alarm_time `` No The mepfng_alarm_time
mepfng_reset_time `` No The mepfng_reset_time
mepfp_port `` No The mepfp_port
mepinterface `` No The mepinterface
mepintfstatustlv `` No The mepintfstatustlv
meplowest_alarm_pri `` No The meplowest_alarm_pri
mepmamegname `` No The mepmamegname
mepname `` No The mepname
mepport `` No The mepport
meppriority `` No The meppriority
meppvid `` No The meppvid
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial

CfmplMo

This represents a DTO managed object of Cfm-pl type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
plenable `` No The plenable
plinterval `` No The plinterval
plmepname `` No The plmepname
plname `` No The plname
plpriority `` No The plpriority
plreference_period `` No The plreference_period
plrmepid `` No The plrmepid
plthresholdratio `` No The plthresholdratio

CfmslmMo

This represents a DTO managed object of Cfm-slm type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
slmenable `` No The slmenable
slmfarendthreshold `` No The slmfarendthreshold
slminterval `` No The slminterval
slmmepname `` No The slmmepname
slmname `` No The slmname
slmnearendthreshold `` No The slmnearendthreshold
slmpriority `` No The slmpriority
slmreference_period `` No The slmreference_period
slmrmepid `` No The slmrmepid

CliScript

CLI Script DTO
Contains the name, description and content of a CLI Script object

Field Type Required Description
description `` No The script description
name `` No The script name
script `` No The actual script

CliScriptInputObject

CLI Script DTO
Contains the name, description and content of a CLI Script object

Field Type Required Description
description `` No The script description
name `` No The script name
script `` No The actual script

ClientModelResources

Search response representation.

Field Type Required Description
content `` No The result entries content
currentPage `` No The current page number
lastPage `` No The last page number
nbPerPage `` No The number of result entries per page
summaryResults `` No The summary for the result content
totalResultEntries `` No The total number of result entries

ConfigFlowExecutionAssociation

This class is used to assign device to a network flow executor. Association can be by the NE tokens defined in the config jobs, but can also refer a config job if there is no NE token specified.

Field Type Required Description
devices `` No List of the network elements ID assigned to this association
name `` No The association name. Depending of the association type, it will be a config job name, or a NE Token name.
type `` No The association type

ConfigFlowExecutor

This represents a configuration flow executor.

If you operate and maintain a network, you will use configuration flow executors to run configuration flow profiles. Each time you need to execute a configuration flow profile on one or more network elements, you must create a new configuration flow executor. You can create a new executor or duplicate an existing one. After creating an executor, you run it and finally you view the execution status.

In the flow executor, you will select the network elements on which the profile should be applied. You will also enter values for the parameters that were defined with flow tokens (variables) in the templates that are in the flow profile.

In addition to defining the configuration workflows to be executed on the network, the executors serve as a log of the configuration work that has been performed.

Field Type Required Description
associations `` No
endTime `` No Time the executor completed
exportState `` No The state for the executor
flowDataset `` No
lastJobExecutionId `` No The last job execution id
meRef `` No
name `` No The name for the executor
networkFlowProfile `` No The network flow profile associated with this executor identified by its id
startTime `` No Time the executor was last started
state `` No The state for the executor
templateValues `` No Template values that have to be specified before starting the executor

ConfigFlowExecutorInputObject

This represents a configuration flow executor.

If you operate and maintain a network, you will use configuration flow executors to run configuration flow profiles. Each time you need to execute a configuration flow profile on one or more network elements, you must create a new configuration flow executor. You can create a new executor or duplicate an existing one. After creating an executor, you run it and finally you view the execution status.

In the flow executor, you will select the network elements on which the profile should be applied. You will also enter values for the parameters that were defined with flow tokens (variables) in the templates that are in the flow profile.

In addition to defining the configuration workflows to be executed on the network, the executors serve as a log of the configuration work that has been performed.

Field Type Required Description
name `` No The name for the executor
networkFlowProfile `` No The network flow profile associated with this executor identified by its id

ConfigFlowProfile

DTO for a network flow profile object.
This object represent a group of config job templates that will be executed by the network flow executor

Field Type Required Description
configJobs `` No Config jobs used in the profile
description `` No The profile description
name `` No The profile name
templateDefinition `` No Template definition for this profile.
This contains all the dynamic values that will have to be populated to execute this profile

ConfigInstanceSet

Configuration instance set

Field Type Required Description
allConfigParams `` No The list of config jobs with parameters

ConfigJob

This is the DTO for the config job instance.

This contains the following information:

  • the id and version of the persistent object
  • the name of the config job
  • the config model id
  • the data set used to identify the ME reference data
  • all the steps associated with the job
  • the template definition in case of templating

Field Type Required Description
name `` No The config job name
neToken `` No NE token used by the network flow
template `` No Flag if this config job is a network flow template or not

ConfigJobDataSet

Datasets are CSV files that are required to perform configuration jobs in dataset mode.

A dataset is also required for the Discovery Trigger.

Two dataset files are required to perform a configuration job:

  • ME Reference: This type of dataset file contains a list of the Managed Elements (ME) to which a configuration job will be applied.
  • Step Dataset: This type of dataset file defines one or more configuration steps to be applied to the set of network elements defined in an ME Reference dataset. The file lists the configuration steps, indicates the elements to which the configuration should be applied, and specifies the values to be set for the configuration parameters. Each configuration step can have its own type of dataset file. Note that if a step does not have a dataset attached, the GUI values will be used to set its parameters

Field Type Required Description
data `` No The dataset CSV data
lastModified `` No Date last modified

ConfigJobDataSetInputObject

Datasets are CSV files that are required to perform configuration jobs in dataset mode.

A dataset is also required for the Discovery Trigger.

Two dataset files are required to perform a configuration job:

  • ME Reference: This type of dataset file contains a list of the Managed Elements (ME) to which a configuration job will be applied.
  • Step Dataset: This type of dataset file defines one or more configuration steps to be applied to the set of network elements defined in an ME Reference dataset. The file lists the configuration steps, indicates the elements to which the configuration should be applied, and specifies the values to be set for the configuration parameters. Each configuration step can have its own type of dataset file. Note that if a step does not have a dataset attached, the GUI values will be used to set its parameters

Field Type Required Description
data `` No The dataset CSV data

ConfigJobExecutor

This is the DTO for the config job executor instance.

This contains the following information:

  • the id and version of the persistent object
  • the name of the config job

Field Type Required Description
endTime `` No Time the executor completed
exportState `` No The state for the executor
lastJobExecutionId `` No The last job execution id
name `` No The name for the executor
startTime `` No Time the executor was last started
state `` No The state for the executor

ConfigJobStepInstance

This is the DTO for a step in a config job.

Field Type Required Description
configMetaModelId `` No The config meta model id.

Please refer to Global documentation Appendix D: Allowed Values for complete list of allowed values
enable `` No Is the step enable?
name `` No Step name

ConfigNetworkPartition

This represents a network partition configuration.

Field Type Required Description
assignedDevices `` No List of devices IDs assigned to this partition
assignedUsers `` No List of users IDs assigned to this partition
name `` No The name for the network partition

ConfigNetworkPartitionInputObject

This represents a network partition configuration.

Field Type Required Description
assignedDevices `` No List of devices IDs assigned to this partition
assignedUserNames `` No List of usernames assigned to this partition
name `` No The name for the network partition

CosprofileMo

This represents a DTO managed object of Cos-profile type.

Field Type Required Description
associations `` No The associated managed objects
cosprofilename `` No The cosprofilename
decodedei `` No The decodedei
dn `` No The managed object DN
dscpgreen0 `` No The dscpgreen0
dscpgreen1 `` No The dscpgreen1
dscpgreen10 `` No The dscpgreen10
dscpgreen11 `` No The dscpgreen11
dscpgreen12 `` No The dscpgreen12
dscpgreen13 `` No The dscpgreen13
dscpgreen14 `` No The dscpgreen14
dscpgreen15 `` No The dscpgreen15
dscpgreen16 `` No The dscpgreen16
dscpgreen17 `` No The dscpgreen17
dscpgreen18 `` No The dscpgreen18
dscpgreen19 `` No The dscpgreen19
dscpgreen2 `` No The dscpgreen2
dscpgreen20 `` No The dscpgreen20
dscpgreen21 `` No The dscpgreen21
dscpgreen22 `` No The dscpgreen22
dscpgreen23 `` No The dscpgreen23
dscpgreen24 `` No The dscpgreen24
dscpgreen25 `` No The dscpgreen25
dscpgreen26 `` No The dscpgreen26
dscpgreen27 `` No The dscpgreen27
dscpgreen28 `` No The dscpgreen28
dscpgreen29 `` No The dscpgreen29
dscpgreen3 `` No The dscpgreen3
dscpgreen30 `` No The dscpgreen30
dscpgreen31 `` No The dscpgreen31
dscpgreen32 `` No The dscpgreen32
dscpgreen33 `` No The dscpgreen33
dscpgreen34 `` No The dscpgreen34
dscpgreen35 `` No The dscpgreen35
dscpgreen36 `` No The dscpgreen36
dscpgreen37 `` No The dscpgreen37
dscpgreen38 `` No The dscpgreen38
dscpgreen39 `` No The dscpgreen39
dscpgreen4 `` No The dscpgreen4
dscpgreen40 `` No The dscpgreen40
dscpgreen41 `` No The dscpgreen41
dscpgreen42 `` No The dscpgreen42
dscpgreen43 `` No The dscpgreen43
dscpgreen44 `` No The dscpgreen44
dscpgreen45 `` No The dscpgreen45
dscpgreen46 `` No The dscpgreen46
dscpgreen47 `` No The dscpgreen47
dscpgreen48 `` No The dscpgreen48
dscpgreen49 `` No The dscpgreen49
dscpgreen5 `` No The dscpgreen5
dscpgreen50 `` No The dscpgreen50
dscpgreen51 `` No The dscpgreen51
dscpgreen52 `` No The dscpgreen52
dscpgreen53 `` No The dscpgreen53
dscpgreen54 `` No The dscpgreen54
dscpgreen55 `` No The dscpgreen55
dscpgreen56 `` No The dscpgreen56
dscpgreen57 `` No The dscpgreen57
dscpgreen58 `` No The dscpgreen58
dscpgreen59 `` No The dscpgreen59
dscpgreen6 `` No The dscpgreen6
dscpgreen60 `` No The dscpgreen60
dscpgreen61 `` No The dscpgreen61
dscpgreen62 `` No The dscpgreen62
dscpgreen63 `` No The dscpgreen63
dscpgreen7 `` No The dscpgreen7
dscpgreen8 `` No The dscpgreen8
dscpgreen9 `` No The dscpgreen9
dscppremarkingcolor0 `` No The dscppremarkingcolor0
dscppremarkingcolor1 `` No The dscppremarkingcolor1
dscppremarkingcolor10 `` No The dscppremarkingcolor10
dscppremarkingcolor11 `` No The dscppremarkingcolor11
dscppremarkingcolor12 `` No The dscppremarkingcolor12
dscppremarkingcolor13 `` No The dscppremarkingcolor13
dscppremarkingcolor14 `` No The dscppremarkingcolor14
dscppremarkingcolor15 `` No The dscppremarkingcolor15
dscppremarkingcolor16 `` No The dscppremarkingcolor16
dscppremarkingcolor17 `` No The dscppremarkingcolor17
dscppremarkingcolor18 `` No The dscppremarkingcolor18
dscppremarkingcolor19 `` No The dscppremarkingcolor19
dscppremarkingcolor2 `` No The dscppremarkingcolor2
dscppremarkingcolor20 `` No The dscppremarkingcolor20
dscppremarkingcolor21 `` No The dscppremarkingcolor21
dscppremarkingcolor22 `` No The dscppremarkingcolor22
dscppremarkingcolor23 `` No The dscppremarkingcolor23
dscppremarkingcolor24 `` No The dscppremarkingcolor24
dscppremarkingcolor25 `` No The dscppremarkingcolor25
dscppremarkingcolor26 `` No The dscppremarkingcolor26
dscppremarkingcolor27 `` No The dscppremarkingcolor27
dscppremarkingcolor28 `` No The dscppremarkingcolor28
dscppremarkingcolor29 `` No The dscppremarkingcolor29
dscppremarkingcolor3 `` No The dscppremarkingcolor3
dscppremarkingcolor30 `` No The dscppremarkingcolor30
dscppremarkingcolor31 `` No The dscppremarkingcolor31
dscppremarkingcolor32 `` No The dscppremarkingcolor32
dscppremarkingcolor33 `` No The dscppremarkingcolor33
dscppremarkingcolor34 `` No The dscppremarkingcolor34
dscppremarkingcolor35 `` No The dscppremarkingcolor35
dscppremarkingcolor36 `` No The dscppremarkingcolor36
dscppremarkingcolor37 `` No The dscppremarkingcolor37
dscppremarkingcolor38 `` No The dscppremarkingcolor38
dscppremarkingcolor39 `` No The dscppremarkingcolor39
dscppremarkingcolor4 `` No The dscppremarkingcolor4
dscppremarkingcolor40 `` No The dscppremarkingcolor40
dscppremarkingcolor41 `` No The dscppremarkingcolor41
dscppremarkingcolor42 `` No The dscppremarkingcolor42
dscppremarkingcolor43 `` No The dscppremarkingcolor43
dscppremarkingcolor44 `` No The dscppremarkingcolor44
dscppremarkingcolor45 `` No The dscppremarkingcolor45
dscppremarkingcolor46 `` No The dscppremarkingcolor46
dscppremarkingcolor47 `` No The dscppremarkingcolor47
dscppremarkingcolor48 `` No The dscppremarkingcolor48
dscppremarkingcolor49 `` No The dscppremarkingcolor49
dscppremarkingcolor5 `` No The dscppremarkingcolor5
dscppremarkingcolor50 `` No The dscppremarkingcolor50
dscppremarkingcolor51 `` No The dscppremarkingcolor51
dscppremarkingcolor52 `` No The dscppremarkingcolor52
dscppremarkingcolor53 `` No The dscppremarkingcolor53
dscppremarkingcolor54 `` No The dscppremarkingcolor54
dscppremarkingcolor55 `` No The dscppremarkingcolor55
dscppremarkingcolor56 `` No The dscppremarkingcolor56
dscppremarkingcolor57 `` No The dscppremarkingcolor57
dscppremarkingcolor58 `` No The dscppremarkingcolor58
dscppremarkingcolor59 `` No The dscppremarkingcolor59
dscppremarkingcolor6 `` No The dscppremarkingcolor6
dscppremarkingcolor60 `` No The dscppremarkingcolor60
dscppremarkingcolor61 `` No The dscppremarkingcolor61
dscppremarkingcolor62 `` No The dscppremarkingcolor62
dscppremarkingcolor63 `` No The dscppremarkingcolor63
dscppremarkingcolor7 `` No The dscppremarkingcolor7
dscppremarkingcolor8 `` No The dscppremarkingcolor8
dscppremarkingcolor9 `` No The dscppremarkingcolor9
dscpyellow0 `` No The dscpyellow0
dscpyellow1 `` No The dscpyellow1
dscpyellow10 `` No The dscpyellow10
dscpyellow11 `` No The dscpyellow11
dscpyellow12 `` No The dscpyellow12
dscpyellow13 `` No The dscpyellow13
dscpyellow14 `` No The dscpyellow14
dscpyellow15 `` No The dscpyellow15
dscpyellow16 `` No The dscpyellow16
dscpyellow17 `` No The dscpyellow17
dscpyellow18 `` No The dscpyellow18
dscpyellow19 `` No The dscpyellow19
dscpyellow2 `` No The dscpyellow2
dscpyellow20 `` No The dscpyellow20
dscpyellow21 `` No The dscpyellow21
dscpyellow22 `` No The dscpyellow22
dscpyellow23 `` No The dscpyellow23
dscpyellow24 `` No The dscpyellow24
dscpyellow25 `` No The dscpyellow25
dscpyellow26 `` No The dscpyellow26
dscpyellow27 `` No The dscpyellow27
dscpyellow28 `` No The dscpyellow28
dscpyellow29 `` No The dscpyellow29
dscpyellow3 `` No The dscpyellow3
dscpyellow30 `` No The dscpyellow30
dscpyellow31 `` No The dscpyellow31
dscpyellow32 `` No The dscpyellow32
dscpyellow33 `` No The dscpyellow33
dscpyellow34 `` No The dscpyellow34
dscpyellow35 `` No The dscpyellow35
dscpyellow36 `` No The dscpyellow36
dscpyellow37 `` No The dscpyellow37
dscpyellow38 `` No The dscpyellow38
dscpyellow39 `` No The dscpyellow39
dscpyellow4 `` No The dscpyellow4
dscpyellow40 `` No The dscpyellow40
dscpyellow41 `` No The dscpyellow41
dscpyellow42 `` No The dscpyellow42
dscpyellow43 `` No The dscpyellow43
dscpyellow44 `` No The dscpyellow44
dscpyellow45 `` No The dscpyellow45
dscpyellow46 `` No The dscpyellow46
dscpyellow47 `` No The dscpyellow47
dscpyellow48 `` No The dscpyellow48
dscpyellow49 `` No The dscpyellow49
dscpyellow5 `` No The dscpyellow5
dscpyellow50 `` No The dscpyellow50
dscpyellow51 `` No The dscpyellow51
dscpyellow52 `` No The dscpyellow52
dscpyellow53 `` No The dscpyellow53
dscpyellow54 `` No The dscpyellow54
dscpyellow55 `` No The dscpyellow55
dscpyellow56 `` No The dscpyellow56
dscpyellow57 `` No The dscpyellow57
dscpyellow58 `` No The dscpyellow58
dscpyellow59 `` No The dscpyellow59
dscpyellow6 `` No The dscpyellow6
dscpyellow60 `` No The dscpyellow60
dscpyellow61 `` No The dscpyellow61
dscpyellow62 `` No The dscpyellow62
dscpyellow63 `` No The dscpyellow63
dscpyellow7 `` No The dscpyellow7
dscpyellow8 `` No The dscpyellow8
dscpyellow9 `` No The dscpyellow9
encodedei `` No The encodedei
ippregreen0 `` No The ippregreen0
ippregreen1 `` No The ippregreen1
ippregreen2 `` No The ippregreen2
ippregreen3 `` No The ippregreen3
ippregreen4 `` No The ippregreen4
ippregreen5 `` No The ippregreen5
ippregreen6 `` No The ippregreen6
ippregreen7 `` No The ippregreen7
ipprepremarkingcolor0 `` No The ipprepremarkingcolor0
ipprepremarkingcolor1 `` No The ipprepremarkingcolor1
ipprepremarkingcolor2 `` No The ipprepremarkingcolor2
ipprepremarkingcolor3 `` No The ipprepremarkingcolor3
ipprepremarkingcolor4 `` No The ipprepremarkingcolor4
ipprepremarkingcolor5 `` No The ipprepremarkingcolor5
ipprepremarkingcolor6 `` No The ipprepremarkingcolor6
ipprepremarkingcolor7 `` No The ipprepremarkingcolor7
ippreyellow0 `` No The ippreyellow0
ippreyellow1 `` No The ippreyellow1
ippreyellow2 `` No The ippreyellow2
ippreyellow3 `` No The ippreyellow3
ippreyellow4 `` No The ippreyellow4
ippreyellow5 `` No The ippreyellow5
ippreyellow6 `` No The ippreyellow6
ippreyellow7 `` No The ippreyellow7
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
pcpgreen0 `` No The pcpgreen0
pcpgreen1 `` No The pcpgreen1
pcpgreen2 `` No The pcpgreen2
pcpgreen3 `` No The pcpgreen3
pcpgreen4 `` No The pcpgreen4
pcpgreen5 `` No The pcpgreen5
pcpgreen6 `` No The pcpgreen6
pcpgreen7 `` No The pcpgreen7
pcppremarkingcolor0 `` No The pcppremarkingcolor0
pcppremarkingcolor1 `` No The pcppremarkingcolor1
pcppremarkingcolor2 `` No The pcppremarkingcolor2
pcppremarkingcolor3 `` No The pcppremarkingcolor3
pcppremarkingcolor4 `` No The pcppremarkingcolor4
pcppremarkingcolor5 `` No The pcppremarkingcolor5
pcppremarkingcolor6 `` No The pcppremarkingcolor6
pcppremarkingcolor7 `` No The pcppremarkingcolor7
pcpyellow0 `` No The pcpyellow0
pcpyellow1 `` No The pcpyellow1
pcpyellow2 `` No The pcpyellow2
pcpyellow3 `` No The pcpyellow3
pcpyellow4 `` No The pcpyellow4
pcpyellow5 `` No The pcpyellow5
pcpyellow6 `` No The pcpyellow6
pcpyellow7 `` No The pcpyellow7
type `` No The type

DataSet

This is a DTO to get information related to a config data set input data.
Note that the DTO name is unique.

Field Type Required Description
dataSet `` No The data set DTO
dataSetType `` No The dataset type enum, also contains the model id
description `` No The dataset description
name `` No The dataset name

DataSetInputObject

This is a DTO to get information related to a config data set input data.
Note that the DTO name is unique.

Field Type Required Description
dataSet `` No The data set DTO
dataSetType `` No The dataset type enum, also contains the model id
description `` No The dataset description
name `` No The dataset name

DirectCommandStatus

Response for a single command of a direct command to an element.

Field Type Required Description
command `` No The command executed
index `` No The command execution order index
response `` No The command response
success `` No The command success status

Embedded Managed Object Class Type

The embedded managed object descriptor containing all supported embedded managed object types

FTPConfiguration

FTP Configuration DTO

Field Type Required Description
ipAddress `` No
passphrase `` No
password `` No
port `` No
protocol `` No
publicKey `` No
remoteDir `` No
username `` No

FTPConfigurationInputObject

FTP Configuration DTO

Field Type Required Description
ipAddress `` No
passphrase `` No
password `` No
port `` No
protocol `` No
publicKey `` No
remoteDir `` No
username `` No

Filteripv4Mo

This represents a DTO managed object of Filter-ipv4 type.

Field Type Required Description
associations `` No The associated managed objects
destinationportlast `` No The destinationportlast
destinationportmask `` No The destinationportmask
destinationportoption `` No The destinationportoption
dn `` No The managed object DN
dscpcondition `` No The dscpcondition
dscpenable `` No The dscpenable
dscpmax `` No The dscpmax
dscpmin `` No The dscpmin
filtername `` No The filtername
headerecn `` No The headerecn
headerecnenable `` No The headerecnenable
headerlength `` No The headerlength
headerlengthenable `` No The headerlengthenable
headerprotocol `` No The headerprotocol
headerttl `` No The headerttl
headerttlenable `` No The headerttlenable
headervlanstacksize `` No The headervlanstacksize
icmpcode `` No The icmpcode
icmpcodeenable `` No The icmpcodeenable
icmptype `` No The icmptype
icmptypeenable `` No The icmptypeenable
ipcosmodeenable `` No The ipcosmodeenable
ipv4dest `` No The ipv4dest
ipv4destenable `` No The ipv4destenable
ipv4destmask `` No The ipv4destmask
ipv4source `` No The ipv4source
ipv4sourceenable `` No The ipv4sourceenable
ipv4sourcemask `` No The ipv4sourcemask
label `` No The label
localmacenable `` No The localmacenable
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
precedencecondition `` No The precedencecondition
precedencemax `` No The precedencemax
precedencemin `` No The precedencemin
precedencetype `` No The precedencetype
protocolenable `` No The protocolenable
sourceportlast `` No The sourceportlast
sourceportmask `` No The sourceportmask
sourceportoption `` No The sourceportoption
udptcpdest `` No The udptcpdest
udptcpdestenable `` No The udptcpdestenable
udptcpsource `` No The udptcpsource
udptcpsourceenable `` No The udptcpsourceenable
vlan1cfienable `` No The vlan1cfienable
vlan1ethertypeenable `` No The vlan1ethertypeenable
vlan1idenable `` No The vlan1idenable
vlan1priorityenable `` No The vlan1priorityenable
vlan2cfidei `` No The vlan2cfidei
vlan2cfienable `` No The vlan2cfienable
vlan2ethertype `` No The vlan2ethertype
vlan2ethertypeenable `` No The vlan2ethertypeenable
vlan2idenable `` No The vlan2idenable
vlan2idenum `` No The vlan2idenum
vlan2idmax `` No The vlan2idmax
vlan2idmin `` No The vlan2idmin
vlan2priorityenable `` No The vlan2priorityenable
vlan2priorityenum `` No The vlan2priorityenum
vlan2prioritymax `` No The vlan2prioritymax
vlan2prioritymin `` No The vlan2prioritymin
vlancfidei `` No The vlancfidei
vlanethertype `` No The vlanethertype
vlanidenum `` No The vlanidenum
vlanidmax `` No The vlanidmax
vlanidmin `` No The vlanidmin
vlanpriorityenum `` No The vlanpriorityenum
vlanprioritymax `` No The vlanprioritymax
vlanprioritymin `` No The vlanprioritymin
vlanstackenable `` No The vlanstackenable

Filteripv6Mo

This represents a DTO managed object of Filter-ipv6 type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
filtername `` No The filtername
headerprotocol `` No The headerprotocol
headerttl `` No The headerttl
headerttlenable `` No The headerttlenable
headervlanstacksize `` No The headervlanstacksize
icmpcode `` No The icmpcode
icmpcodeenable `` No The icmpcodeenable
icmptype `` No The icmptype
icmptypeenable `` No The icmptypeenable
ipv6dest `` No The ipv6dest
ipv6destenable `` No The ipv6destenable
ipv6destprefix `` No The ipv6destprefix
ipv6source `` No The ipv6source
ipv6sourceenable `` No The ipv6sourceenable
ipv6sourceprefix `` No The ipv6sourceprefix
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
nextheaderenable `` No The nextheaderenable
precedencecondition `` No The precedencecondition
precedencemax `` No The precedencemax
precedencemin `` No The precedencemin
precedencetype `` No The precedencetype
udptcpdest `` No The udptcpdest
udptcpdestenable `` No The udptcpdestenable
udptcpsource `` No The udptcpsource
udptcpsourceenable `` No The udptcpsourceenable
udptcpsourceportmax `` No The udptcpsourceportmax
vlan2cfidei `` No The vlan2cfidei
vlan2ethertype `` No The vlan2ethertype
vlan2idenum `` No The vlan2idenum
vlan2idmax `` No The vlan2idmax
vlan2idmin `` No The vlan2idmin
vlan2priorityenum `` No The vlan2priorityenum
vlan2prioritymax `` No The vlan2prioritymax
vlan2prioritymin `` No The vlan2prioritymin
vlancfidei `` No The vlancfidei
vlanethertype `` No The vlanethertype
vlanidenum `` No The vlanidenum
vlanidmax `` No The vlanidmax
vlanidmin `` No The vlanidmin
vlanpriorityenum `` No The vlanpriorityenum
vlanprioritymax `` No The vlanprioritymax
vlanprioritymin `` No The vlanprioritymin

Filterl2Mo

This represents a DTO managed object of Filter-l2 type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
dscpcondition `` No The dscpcondition
dscpmax `` No The dscpmax
dscpmin `` No The dscpmin
ethertypeenable `` No The ethertypeenable
filtername `` No The filtername
headerencap `` No The headerencap
headermacdest `` No The headermacdest
headermacdestenable `` No The headermacdestenable
headermacdestmask `` No The headermacdestmask
headermacsrc `` No The headermacsrc
headermacsrcenable `` No The headermacsrcenable
headermacsrcmask `` No The headermacsrcmask
headervlanstacksize `` No The headervlanstacksize
ipcosmodeenable `` No The ipcosmodeenable
isvlanstandard `` No The isvlanstandard
label `` No The label
localmacenable `` No The localmacenable
meglevel `` No The meglevel
meglevelenable `` No The meglevelenable
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
opcode `` No The opcode
opcodeenable `` No The opcodeenable
precedencecondition `` No The precedencecondition
precedencemax `` No The precedencemax
precedencemin `` No The precedencemin
precedencetype `` No The precedencetype
vlan1cfienable `` No The vlan1cfienable
vlan1idenable `` No The vlan1idenable
vlan1priorityenable `` No The vlan1priorityenable
vlan2cfidei `` No The vlan2cfidei
vlan2cfienable `` No The vlan2cfienable
vlan2ethertype `` No The vlan2ethertype
vlan2ethertypeenable `` No The vlan2ethertypeenable
vlan2idenable `` No The vlan2idenable
vlan2idenum `` No The vlan2idenum
vlan2idmax `` No The vlan2idmax
vlan2idmin `` No The vlan2idmin
vlan2priorityenable `` No The vlan2priorityenable
vlan2priorityenum `` No The vlan2priorityenum
vlan2prioritymax `` No The vlan2prioritymax
vlan2prioritymin `` No The vlan2prioritymin
vlancfidei `` No The vlancfidei
vlanethertype `` No The vlanethertype
vlanethertypeenable `` No The vlanethertypeenable
vlanidenum `` No The vlanidenum
vlanidmax `` No The vlanidmax
vlanidmin `` No The vlanidmin
vlanpriorityenum `` No The vlanpriorityenum
vlanprioritymax `` No The vlanprioritymax
vlanprioritymin `` No The vlanprioritymin
vlanstack `` No The vlanstack

FlexinterfacesMo

This represents a DTO managed object of Flex-interfaces type.

Field Type Required Description
associations `` No The associated managed objects
dhcp `` No The dhcp
dn `` No The managed object DN
interfacename `` No The interfacename
ipaddress `` No The ipaddress
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
netmask `` No The netmask
state `` No The state
stdintfonportmatch `` No The stdintfonportmatch
type `` No The type
vlan1ethertype `` No The vlan1ethertype
vlan1id `` No The vlan1id

FlexportsMo

This represents a DTO managed object of Flex-ports type.

Field Type Required Description
associations `` No The associated managed objects
autoneg `` No The autoneg
connectorname `` No The connectorname
dn `` No The managed object DN
duplex `` No The duplex
label `` No The label
macaddress `` No The macaddress
mdi `` No The mdi
mtu `` No The mtu
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
rate `` No The rate
state `` No The state

InterfaceMo

This represents a DTO managed object of Interface type.

Field Type Required Description
aliasenable `` No The aliasenable
aliasgateway `` No The aliasgateway
aliasindex `` No The aliasindex
aliasipaddr `` No The aliasipaddr
aliasnetmask `` No The aliasnetmask
associations `` No The associated managed objects
autoPortId `` No The autoPortId
autoPortNumber `` No The autoPortNumber
autoconfig `` No The autoconfig
cause `` No The cause
defaultgateway `` No The defaultgateway
dhcp `` No The dhcp
dhcprelay `` No The dhcprelay
dhcproute `` No The dhcproute
dn `` No The managed object DN
icmpredirect `` No The icmpredirect
interfaceid `` No The interfaceid
interfacenumber `` No The interfacenumber
ipaddress `` No The ipaddress
ipv4fwd `` No The ipv4fwd
ipv6address1 `` No The ipv6address1
ipv6address2 `` No The ipv6address2
ipv6dhcp `` No The ipv6dhcp
ipv6enable `` No The ipv6enable
ipv6gateway1 `` No The ipv6gateway1
ipv6gateway2 `` No The ipv6gateway2
ipv6icmpredirect `` No The ipv6icmpredirect
ipv6routeradv `` No The ipv6routeradv
ipv6static `` No The ipv6static
ipv6static0gateway `` No The ipv6static0gateway
ipv6static0ipaddr `` No The ipv6static0ipaddr
ipv6static0len `` No The ipv6static0len
ipv6static1gateway `` No The ipv6static1gateway
ipv6static1ipaddr `` No The ipv6static1ipaddr
ipv6static1len `` No The ipv6static1len
ipv6subnet1 `` No The ipv6subnet1
ipv6subnet2 `` No The ipv6subnet2
isdefault `` No The isdefault
label `` No The label
lock `` No The lock
mngt `` No The mngt
name `` No The name
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
netmask `` No The netmask
portnumber `` No The portnumber
primary `` No The primary
state `` No The state
stdintfonportmatch `` No The stdintfonportmatch
stpenable `` No The stpenable
type `` No The type
usestaticip `` No The usestaticip
vlan1ethertype `` No The vlan1ethertype
vlan1id `` No The vlan1id
vlan1pcp `` No The vlan1pcp
vlan2ethertype `` No The vlan2ethertype
vlan2id `` No The vlan2id
vlan2pcp `` No The vlan2pcp

Inventory Elements

Used to retrieve the inventory for elements

Field Type Required Description
elementIds `` No The network element IDs
inventoryManagedObjectDescriptors `` No The inventory managed object descriptors

Inventory Managed Object Class Type

The inventory managed object descriptor containing all supported managed object types

Inventory Response

Response when retrieving managed objects for a specific network element.

Field Type Required Description
elementId `` No The element id
managedObjects `` No The managed objects

JobExecutionDetail

DTO for job execution

Field Type Required Description
configJobName `` No The config job name
message `` No The message
neLabel `` No The network element label
neName `` No The network element name
neSerial `` No The network element serial
processedTime `` No The processed time
status `` No The execution status

LldpMo

This represents a DTO managed object of Lldp type.

Field Type Required Description
associations `` No The associated managed objects
dn `` No The managed object DN
interfaceindex `` No The interfaceindex
label `` No The label
lldpenable `` No The lldpenable
macsourceaddress `` No The macsourceaddress
managementaddress `` No The managementaddress
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
portid `` No The portid
portindex `` No The portindex
remotesystemdescription `` No The remotesystemdescription
remotesystemname `` No The remotesystemname
timestamp `` No The timestamp
timetolive `` No The timetolive

NECredential

Managed element credentials userId based type

Field Type Required Description
name `` No The credential name
userId `` No The user id

NECredentialInputObject

Managed element credentials userId based type

Field Type Required Description
name `` No The credential name
password `` No The credential password
userId `` No The user id

NEInterface

This represents a single interface on a NE

Field Type Required Description
NELabel `` No Returns the NE label, or null if element is not set
NEName `` No Returns the NE name, or null if element is not set
NESerial `` No Returns the NE serial, or null if element is not set
element `` No The network element
etherType `` No The ethertype
etherType2 `` No The ethertype 2
interfaceName `` No The interface name
ipAddress `` No The IP address
neManagedState `` No The network element management state
port `` No The port
satCapableStatus `` No SATCapableStatus is used to know the sat configurable interface via sat capable status
type `` No The interface type
vlanId `` No The vlan id
vlanId2 `` No The vlan id 2
vlanPriority `` No The vlan priority
vlanPriority2 `` No The vlan priority 2

NEPort

Represents a single port inside a network element

Field Type Required Description
NELabel `` No Returns the NE label, or null if element is not set
NEName `` No Returns the NE name, or null if element is not set
NESerial `` No Returns the NE serial, or null if element is not set
connectorName `` No The connector name
element `` No The network element
macAddress `` No The MAC address
neManagedState `` No The network element management state
portName `` No The port name
satCapableStatus `` No The SAT capable port status

NetworkElement

Network Element

Legacy Orchestrator can manage an inventory of all these Cisco network elements:

  • Full range of Cisco Cisco Provider Connectivity Assurance Sensor (CE, FS, GT, GX, LT, NE, TE and more)
  • Cisco Provider Connectivity Assurance Sensor Control and Performance Modules (ant and Nano)
  • Skylight Manager, Skylight Analyzer and classic Actuators

Important information:
  • Managed state: Possible choices are Managed and Unmanaged.
    • Managed: The Legacy Orchestrator will keep an active connection on the element, and keep synchronizing the element to keep track of any changes.
    • Unmanaged: No connection will be made and the Legacy Orchestrator will not gather any information about this element. It is important to note that this state does not have any impact on the functionality of the element. The element will keep collecting statistics, applying filters, regulator, shaping, but the Legacy Orchestrator will not be updated with it.
  • Operational state: When a network element is managed, the operational state can be INSERVICE, OUTOFSERVICE or NA.
    • INSERVICE: The Legacy Orchestrator is connected to the element and is managing it successfully
    • OUTOFSERVICE: The Legacy Orchestrator is not able to reach the network element. This may be caused by a network issue, wrong credentials, or other reasons.
    • NA : This should be a temporary state. When a network element is added, it is assigned the state NA until the system tries to connect to the network element.

Field Type Required Description
adminState `` No The admin state
credentials `` No The credentials
dateCreated `` No The network element creation date
firmware `` No The firmware
hardware `` No The hardware
inventoryPolling `` No Is element inventory polling enabled
ipAddress `` No The IP address
label `` No The network element label
lastMgmtStateChange `` No The last management state change date; the last time the network element was managed/unmanaged
lastResult `` No The result for the last run; later on this might be segregated with an enum and a message
lastRun `` No The last time discovery or refresh was run
managedState `` No The managed state
mgmtPort `` No The management port
model `` No The model
name `` No The network element name
operationalState `` No The operational state
resynchState `` No The resynch state
rollbackFirmware `` No The rollback firmware
serial `` No The serial
sourceInventory `` No The source inventory

NetworkElementInputObject

Network Element

Legacy Orchestrator can manage an inventory of all these Cisco network elements:

  • Full range of Cisco Cisco Provider Connectivity Assurance Sensor (CE, FS, GT, GX, LT, NE, TE and more)
  • Cisco Provider Connectivity Assurance Sensor Control and Performance Modules (ant and Nano)
  • Skylight Manager, Skylight Analyzer and classic Actuators

Important information:
  • Managed state: Possible choices are Managed and Unmanaged.
    • Managed: The Legacy Orchestrator will keep an active connection on the element, and keep synchronizing the element to keep track of any changes.
    • Unmanaged: No connection will be made and the Legacy Orchestrator will not gather any information about this element. It is important to note that this state does not have any impact on the functionality of the element. The element will keep collecting statistics, applying filters, regulator, shaping, but the Legacy Orchestrator will not be updated with it.
  • Operational state: When a network element is managed, the operational state can be INSERVICE, OUTOFSERVICE or NA.
    • INSERVICE: The Legacy Orchestrator is connected to the element and is managing it successfully
    • OUTOFSERVICE: The Legacy Orchestrator is not able to reach the network element. This may be caused by a network issue, wrong credentials, or other reasons.
    • NA : This should be a temporary state. When a network element is added, it is assigned the state NA until the system tries to connect to the network element.

Field Type Required Description
credentials `` No The credentials
inventoryPolling `` No Is element inventory polling enabled
ipAddress `` No The IP address
label `` No The network element label
managedState `` No The managed state
mgmtPort `` No The management port

PMConfiguration

PM configuration DTO
Contains various configurations:

  • FTP
  • CSV
  • PM Data
  • Report

Field Type Required Description
agentServerIpOverride `` No
csvConfiguration `` No
exportMethod `` No
ftpConfiguration `` No
reportConfiguration `` No
rsyncConfiguration `` No
sdmmCSVConfig `` No

PMConfigurationInputObject

PM configuration DTO
Contains various configurations:

  • FTP
  • CSV
  • PM Data
  • Report

Field Type Required Description
agentServerIpOverride `` No
csvConfiguration `` No
exportMethod `` No
ftpConfiguration `` No
reportConfiguration `` No
rsyncConfiguration `` No
sdmmCSVConfig `` No

PMRsyncConfiguration

DTO for the class PMRsyncConfiguration that contains the configuration for a rsync destination

Field Type Required Description
destinationAddress `` No
destinationPath `` No
destinationPort `` No
enabled `` No
flatten `` No
username `` No

PMRsyncConfigurationInputObject

DTO for the class PMRsyncConfiguration that contains the configuration for a rsync destination

Field Type Required Description
destinationAddress `` No
destinationPath `` No
destinationPort `` No
enabled `` No
flatten `` No
username `` No

PaaMo

This represents a DTO managed object of Paa type.

Field Type Required Description
associations `` No The associated managed objects
avgowdelaythreshold `` No The avgowdelaythreshold
avgowdelayvariationthreshold `` No The avgowdelayvariationthreshold
avgtwdelaythreshold `` No The avgtwdelaythreshold
avgtwdelayvariationthreshold `` No The avgtwdelayvariationthreshold
continuitycheckthreshold `` No The continuitycheckthreshold
coupledscp `` No The coupledscp
coupletrafficclass `` No The coupletrafficclass
couplevlan1id `` No The couplevlan1id
couplevlan1priority `` No The couplevlan1priority
couplevlan2id `` No The couplevlan2id
couplevlan2priority `` No The couplevlan2priority
destinationip `` No The destinationip
dn `` No The managed object DN
dscp `` No The dscp
dstudpport `` No The dstudpport
ecn `` No The ecn
enable `` No The enable
ethertype `` No The ethertype
expectedtraffic `` No The expectedtraffic
fpenable `` No The fpenable
fponport `` No The fponport
igmpjoinavgdelaythreshold `` No The igmpjoinavgdelaythreshold
igmpjoindelaythreshold `` No The igmpjoindelaythreshold
igmpleaveavgdelaythreshold `` No The igmpleaveavgdelaythreshold
igmpleavedelaythreshold `` No The igmpleavedelaythreshold
igmpmaxjoindelay `` No The igmpmaxjoindelay
igmpmaxleavedelay `` No The igmpmaxleavedelay
igmpowjoinperiod `` No The igmpowjoinperiod
igmprefperiod `` No The igmprefperiod
l2udpdscpvalidatetxrx `` No The l2udpdscpvalidatetxrx
l2vlan1idtxrxid `` No The l2vlan1idtxrxid
l2vlan1idvalidatetxrx `` No The l2vlan1idvalidatetxrx
l2vlan1prioritytxrxid `` No The l2vlan1prioritytxrxid
l2vlan1priorityvalidatetxrx `` No The l2vlan1priorityvalidatetxrx
l2vlan2idtxrxid `` No The l2vlan2idtxrxid
l2vlan2idvalidatetxrx `` No The l2vlan2idvalidatetxrx
l2vlan2prioritytxrxid `` No The l2vlan2prioritytxrxid
l2vlan2priorityvalidatetxrx `` No The l2vlan2priorityvalidatetxrx
label `` No The label
macdstaddress `` No The macdstaddress
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
owdelaythreshold `` No The owdelaythreshold
owdelayvariationthreshold `` No The owdelayvariationthreshold
owmaxdelay `` No The owmaxdelay
owmaxdelayvariation `` No The owmaxdelayvariation
owrefperiod `` No The owrefperiod
paamode `` No The paamode
paaname `` No The paaname
paatypeinfo `` No The paatypeinfo
packetsize `` No The packetsize
peerindex `` No The peerindex
pktlossrefperiod `` No The pktlossrefperiod
pktlossthreshold `` No The pktlossthreshold
portname `` No The portname
samplingperiod `` No The samplingperiod
sourceudpport `` No The sourceudpport
trafficclass `` No The trafficclass
twdelaythreshold `` No The twdelaythreshold
twdelayvariationthreshold `` No The twdelayvariationthreshold
twmaxdelay `` No The twmaxdelay
twmaxdelayvariation `` No The twmaxdelayvariation
twrefperiod `` No The twrefperiod
udpdscptxrxid `` No The udpdscptxrxid
validatetraffic `` No The validatetraffic
vlan1enable `` No The vlan1enable
vlan1ethertype `` No The vlan1ethertype
vlan1id `` No The vlan1id
vlan1priority `` No The vlan1priority
vlan2enable `` No The vlan2enable
vlan2ethertype `` No The vlan2ethertype
vlan2id `` No The vlan2id
vlan2priority `` No The vlan2priority

PolicyMo

This represents a DTO managed object of Policy type.

Field Type Required Description
associations `` No The associated managed objects
cos1enable `` No The cos1enable
cos1type `` No The cos1type
cos2enable `` No The cos2enable
cos2type `` No The cos2type
cosmappingaction `` No The cosmappingaction
dn `` No The managed object DN
dropenable `` No The dropenable
enable `` No The enable
enableregulator `` No The enableregulator
encapsulation `` No The encapsulation
evcethertype `` No The evcethertype
evcethertype2 `` No The evcethertype2
evcvlanid `` No The evcvlanid
evcvlanid2 `` No The evcvlanid2
filteraction `` No The filteraction
filtertype `` No The filtertype
greencfi `` No The greencfi
greenpcp `` No The greenpcp
incomingport `` No The incomingport
ipv4filtername `` No The ipv4filtername
ipv6filtername `` No The ipv6filtername
l2filtername `` No The l2filtername
label `` No The label
monitorenable `` No The monitorenable
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
numberofentries `` No The numberofentries
policyidentifier `` No The policyidentifier
premarking `` No The premarking
queuingprofile `` No The queuingprofile
regulatorname `` No The regulatorname
trafficlist `` No The trafficlist
trafficlistindex `` No The trafficlistindex
trafficoutgoingport `` No The trafficoutgoingport
vlanlistname `` No The vlanlistname
vmonid `` No The vmonid
vsetmode `` No The vsetmode
yellowcfi `` No The yellowcfi
yellowpcp `` No The yellowpcp

PortMo

This represents a DTO managed object of Port type.

Field Type Required Description
advertisement `` No The advertisement
alias `` No The alias
associations `` No The associated managed objects
asympauseadv `` No The asympauseadv
automdi `` No The automdi
autoneg `` No The autoneg
connectormatch `` No The connectormatch
connectorname `` No The connectorname
defaultname `` No The defaultname
dn `` No The managed object DN
duplex `` No The duplex
enable `` No The enable
fd100madv `` No The fd100madv
fd10gadv `` No The fd10gadv
fd10madv `` No The fd10madv
fd1gadv `` No The fd1gadv
forcetx `` No The forcetx
fpenable `` No The fpenable
fpmode `` No The fpmode
hd100madv `` No The hd100madv
hd10gadv `` No The hd10gadv
hd10madv `` No The hd10madv
hd1gadv `` No The hd1gadv
label `` No The label
lasermode `` No The lasermode
llrenable `` No The llrenable
llrperiod `` No The llrperiod
lpt `` No The lpt
macaddress `` No The macaddress
mdi `` No The mdi
mediasel `` No The mediasel
mediaselmode `` No The mediaselmode
monitor `` No The monitor
mtu `` No The mtu
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
pauseadv `` No The pauseadv
pausemode `` No The pausemode
portindex `` No The portindex
propagatefromport `` No The propagatefromport
protectioncap `` No The protectioncap
protectionenable `` No The protectionenable
protectionlinktimeout `` No The protectionlinktimeout
protectionmode `` No The protectionmode
protectionrevertive `` No The protectionrevertive
protectionrevertiveperiod `` No The protectionrevertiveperiod
protectionworkingconn `` No The protectionworkingconn
rate `` No The rate
receptionenable `` No The receptionenable
remotefaultadv `` No The remotefaultadv
sfptype `` No The sfptype
tapenable `` No The tapenable
tapsource `` No The tapsource
transferenable `` No The transferenable
updateadvertisement `` No The updateadvertisement

PortlistMo

This represents a DTO managed object of Portlist type.

Field Type Required Description
grantoraddr0 `` No The grantoraddr0
grantoraddr1 `` No The grantoraddr1
grantordomain0 `` No The grantordomain0
grantordomain1 `` No The grantordomain1
grantorifinstidx0 `` No The grantorifinstidx0
grantorifinstidx1 `` No The grantorifinstidx1
grantorname0 `` No The grantorname0
grantorname1 `` No The grantorname1
grantorpriority0 `` No The grantorpriority0
grantorpriority1 `` No The grantorpriority1
mode `` No The mode
parentMoId `` No The parent managed object id
portannival `` No The portannival
portannrecpttout `` No The portannrecpttout
portdlyreqoffs `` No The portdlyreqoffs
portdlyresprecpttout `` No The portdlyresprecpttout
portdomain `` No The portdomain
portdscp `` No The portdscp
portifinstidx `` No The portifinstidx
portlocalpriority `` No The portlocalpriority
portmcastaddr `` No The portmcastaddr
portmode `` No The portmode
portname `` No The portname
portpcp `` No The portpcp
portsyncival `` No The portsyncival
portsyncrecpttout `` No The portsyncrecpttout
portttl `` No The portttl
portucrenewival `` No The portucrenewival

Ptpv2Mo

This represents a DTO managed object of Ptpv2 type.

Field Type Required Description
associations `` No The associated managed objects
clockclass `` No The clockclass
dn `` No The managed object DN
inbound `` No The inbound
label `` No The label
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
portlist `` No The portlist
prio1 `` No The prio1
prio2 `` No The prio2
profile `` No The profile
ptpenable `` No The ptpenable

RFC2544Config

DTO Config for RFC2544 test configuration

Field Type Required Description
b2bduration `` No Duration (ms) :applicable when: b2benable is true
b2benable `` No Back to back
b2bframesize `` No Frame size :applicable when: b2benable is true
b2brepeat `` No Repeat :applicable when: b2benable is true
binaryduration `` No Binary duration
delayduration `` No Duration (s) :applicable when: delayenable is true
delayenable `` No Delay variation
delayframeloss `` No Frame loss (0.1%) :applicable when: delayenable is true
delayframesize `` No Frame size :applicable when: delayenable is true
destinationmac `` No MAC destination :applicable when: peertype is layer-2 l2-accedian l2-generic l3-generic
destinationport `` No Far-end UDP port :applicable when: peertype is l3-generic layer-3
enablevlan1 `` No VLAN 1 header
enablevlan2 `` No VLAN 2 header
excludevlansize `` No Exclude VLAN size
flduration `` No Duration (s) :applicable when: framelossenable is true
flframesize `` No Frame size :applicable when: framelossenable is true
flstepsize `` No Step size (Mbps) :applicable when: framelossenable is true
framelossenable `` No Frame loss
jumboframesize `` No Jumbo frame size
l3twloopback `` No L3 two-way loopback :applicable when: peertype is l3-generic layer-3
meglevel `` No Y.1731 MEG level :applicable when: peertype is layer-2 l2-accedian l2-generic
nearendconnector `` No Near-end connector
nearendport `` No Near-end port
peerdestinationip `` No Far-end IP :applicable when: peertype is l3-generic layer-3
peerdscp `` No DSCP :applicable when: peertype is l3-generic layer-3
peersourceip `` No Near-end IP :applicable when: peertype is l3-generic
peertype `` No Test traffic type
remoteunitconnector `` No Far-end device connector :applicable when: peertype is l3-generic layer-3
remoteunitme `` No Far-end device
remoteunitport `` No Far-end device port :applicable when: peertype is l3-generic layer-3
sourceport `` No Near-end UDP port :applicable when: peertype is l3-generic layer-3
strictfailure `` No Enable strict failure
suitedesc `` No Suite description
suitename `` No Suite name
tptduration `` No Duration (s) :applicable when: tptenable is true
tptenable `` No Throughput
tptfinestepping `` No Use fine stepping
tptframeloss `` No Frame loss (0.1%) :applicable when: tptenable is true
tptframesize `` No Frame size :applicable when: tptenable is true
tptmaxrate `` No Maximum rate (Mbps)
tptminrate `` No Minimum rate (Mbps)
tptstepsize `` No Step size (Mbps)
ttl `` No Time to live :applicable when: peertype is l3-generic layer-3
verbosereport `` No Enable verbose report
vlan1cfi `` No CFI :applicable when: enablevlan1 is true
vlan1ethertype `` No Ethertype :applicable when: enablevlan1 is true
vlan1id `` No ID :applicable when: enablevlan1 is true
vlan1priority `` No Priority :applicable when: enablevlan1 is true
vlan2cfi `` No CFI :applicable when: enablevlan2 is true
vlan2ethertype `` No Ethertype :applicable when: enablevlan2 is true
vlan2id `` No ID :applicable when: enablevlan2 is true
vlan2priority `` No Priority :applicable when: enablevlan2 is true

RFC2544ConfigInputObject

DTO Config for RFC2544 test configuration

Field Type Required Description
b2bduration `` No Duration (ms) :applicable when: b2benable is true
b2benable `` No Back to back
b2bframesize `` No Frame size :applicable when: b2benable is true
b2brepeat `` No Repeat :applicable when: b2benable is true
binaryduration `` No Binary duration
delayduration `` No Duration (s) :applicable when: delayenable is true
delayenable `` No Delay variation
delayframeloss `` No Frame loss (0.1%) :applicable when: delayenable is true
delayframesize `` No Frame size :applicable when: delayenable is true
destinationmac `` No MAC destination :applicable when: peertype is layer-2 l2-accedian l2-generic l3-generic
destinationport `` No Far-end UDP port :applicable when: peertype is l3-generic layer-3
enablevlan1 `` No VLAN 1 header
enablevlan2 `` No VLAN 2 header
excludevlansize `` No Exclude VLAN size
flduration `` No Duration (s) :applicable when: framelossenable is true
flframesize `` No Frame size :applicable when: framelossenable is true
flstepsize `` No Step size (Mbps) :applicable when: framelossenable is true
framelossenable `` No Frame loss
jumboframesize `` No Jumbo frame size
l3twloopback `` No L3 two-way loopback :applicable when: peertype is l3-generic layer-3
meId `` No The ID of Near-end device
meglevel `` No Y.1731 MEG level :applicable when: peertype is layer-2 l2-accedian l2-generic
nearendconnector `` No Near-end connector
nearendport `` No Near-end port
peerdestinationip `` No Far-end IP :applicable when: peertype is l3-generic layer-3
peerdscp `` No DSCP :applicable when: peertype is l3-generic layer-3
peersourceip `` No Near-end IP :applicable when: peertype is l3-generic
peertype `` No Test traffic type
remoteunitconnector `` No Far-end device connector :applicable when: peertype is l3-generic layer-3
remoteunitme `` No Far-end device
remoteunitport `` No Far-end device port :applicable when: peertype is l3-generic layer-3
sourceport `` No Near-end UDP port :applicable when: peertype is l3-generic layer-3
strictfailure `` No Enable strict failure
suitedesc `` No Suite description
suitename `` No Suite name
tptduration `` No Duration (s) :applicable when: tptenable is true
tptenable `` No Throughput
tptfinestepping `` No Use fine stepping
tptframeloss `` No Frame loss (0.1%) :applicable when: tptenable is true
tptframesize `` No Frame size :applicable when: tptenable is true
tptmaxrate `` No Maximum rate (Mbps)
tptminrate `` No Minimum rate (Mbps)
tptstepsize `` No Step size (Mbps)
ttl `` No Time to live :applicable when: peertype is l3-generic layer-3
verbosereport `` No Enable verbose report
vlan1cfi `` No CFI :applicable when: enablevlan1 is true
vlan1ethertype `` No Ethertype :applicable when: enablevlan1 is true
vlan1id `` No ID :applicable when: enablevlan1 is true
vlan1priority `` No Priority :applicable when: enablevlan1 is true
vlan2cfi `` No CFI :applicable when: enablevlan2 is true
vlan2ethertype `` No Ethertype :applicable when: enablevlan2 is true
vlan2id `` No ID :applicable when: enablevlan2 is true
vlan2priority `` No Priority :applicable when: enablevlan2 is true

RFC2544TestReport

This represents a DTO for the RFC2544 report info data persistent object.

Field Type Required Description
content `` No The test report content
description `` No The test description
endTime `` No The test end time
note `` No The test notes
sourceNeLabel `` No The network element label
sourceNeName `` No The source network element name
sourceNeSerial `` No The network element serial number
startTime `` No The test start time
status `` No The report status
technician `` No The technician name
testName `` No The test name

RadiusConfiguration

Class containing the full radius configuration ( general and servers config )

Field Type Required Description
fallbackOnLocalRoles `` No Do we want to fallback on local roles, if there are no roles returned by the radius server
realmDelimitor `` No Character delimiting the realm and the username. Ex: delimiter is [@] in this admin@accedian.com
realmFormat `` No How to format the realm, as a prefix ou suffix
realmName `` No The radius realm name
retries `` No The number of retries in case of timeout
serverConfigs `` No The primary and secondary server config
timeout `` No The timeout for the radius server response, in seconds
useCustomRealm `` No Use a custom realm?

RadiusConfigurationInputObject

Class containing the full radius configuration ( general and servers config )

Field Type Required Description
fallbackOnLocalRoles `` No Do we want to fallback on local roles, if there are no roles returned by the radius server
realmDelimitor `` No Character delimiting the realm and the username. Ex: delimiter is [@] in this admin@accedian.com
realmFormat `` No How to format the realm, as a prefix ou suffix
realmName `` No The radius realm name
retries `` No The number of retries in case of timeout
serverConfigs `` No The primary and secondary server config
timeout `` No The timeout for the radius server response, in seconds
useCustomRealm `` No Use a custom realm?

RadiusServerConfig

Configuration for a single radius server.

Field Type Required Description
hostAddress `` No The radius server address
port `` No The port to connect to the radius server
sourceAddress `` No Specify a source address to be included in the radius request

RadiusServerConfigInputObject

Configuration for a single radius server.

Field Type Required Description
hostAddress `` No The radius server address
port `` No The port to connect to the radius server
secret `` No The radius secret
sourceAddress `` No Specify a source address to be included in the radius request

RemoteDevice

Represents a module discovery info controlled by a VCX.

Field Type Required Description
adminState `` No The module admin state
connectionState `` No The connection state
dateCreated `` No the date the module was created
element `` No The source network element managing this module
firmware `` No The firmware version
firmwareSuite `` No The firmware suite
ipAddress `` No The module IP address
label `` No The label
lastMgmtStateChange `` No The last management state change date; the last time the module was managed/unmanaged
linkedState `` No The module linked state
macAddress `` No The module MAC address
managedState `` No The managed state
model `` No The model number
name `` No The device name
serial `` No The serial number
sourceType `` No
type `` No The module type

ReportConfiguration

Report Configuration DTO

Field Type Required Description
interval `` No

ReportConfigurationInputObject

Report Configuration DTO

Field Type Required Description
interval `` No

Result

Result of a traceroute command sent to an element.

Field Type Required Description
route `` No The routes
rtt `` No The round trip times

Rfc2544Mo

This represents a DTO managed object of Rfc2544 type.

Field Type Required Description
associations `` No The associated managed objects
b2bduration `` No The b2bduration
b2benable `` No The b2benable
b2bframesize `` No The b2bframesize
b2brepeat `` No The b2brepeat
binaryduration `` No The binaryduration
delayduration `` No The delayduration
delayenable `` No The delayenable
delayframeloss `` No The delayframeloss
delayframesize `` No The delayframesize
destinationmac `` No The destinationmac
dn `` No The managed object DN
enablevlan1 `` No The enablevlan1
enablevlan2 `` No The enablevlan2
etype `` No The etype
excludevlansize `` No The excludevlansize
failureenable `` No The failureenable
flduration `` No The flduration
flframesize `` No The flframesize
flstepsize `` No The flstepsize
framelossenable `` No The framelossenable
icmpcode `` No The icmpcode
icmptype `` No The icmptype
inserver `` No The inserver
ipproto `` No The ipproto
jumboframesize `` No The jumboframesize
label `` No The label
macsource `` No The macsource
meglevel `` No The meglevel
neId `` No The element id
neLabel `` No The element label
neName `` No The element name
neSerial `` No The element serial
nearendport `` No The nearendport
packetdescription `` No The packetdescription
packetindex `` No The packetindex
packetname `` No The packetname
peerdestinationip `` No The peerdestinationip
peerdscp `` No The peerdscp
peerecn `` No The peerecn
peersourceip `` No The peersourceip
peertimetolive `` No The peertimetolive
peertype `` No The peertype
strictfailure `` No The strictfailure
suitedesc `` No The suitedesc
suitename `` No The suitename
system `` No The system
tptduration `` No The tptduration
tptenable `` No The tptenable
tptfinestepping `` No The tptfinestepping
tptframeloss `` No The tptframeloss
tptframesize `` No The tptframesize
tptmaxrate `` No The tptmaxrate
tptminrate `` No The tptminrate
tptstepsize `` No The tptstepsize
verbosereport `` No The verbosereport
vlan1cfi `` No The vlan1cfi
vlan1ethertype `` No The vlan1ethertype
vlan1id `` No The vlan1id
vlan1priority `` No The vlan1priority
vlan2cfi `` No The vlan2cfi
vlan2ethertype `` No The vlan2ethertype
vlan2id `` No The vlan2id
vlan2priority `` No The vlan2priority
y1731opcode `` No The y1731opcode
y1731version `` No The y1731version

SATTestConfiguration

This represents the ConfigParameter client DTO

Field Type Required Description
configMetaModelId `` No The SAT config model
configParamsId `` No The test configuration id
neId `` No The network element id
neLabel `` No The network element label
neName `` No The network element name
neSerial `` No The network element serial
testDescription `` No The test description
testName `` No The test name

SDMMCSVConfiguration

This holds relevant configuration values for csv export to generate CSVs

Field Type Required Description
activated `` No

SDMMCSVConfigurationInputObject

This holds relevant configuration values for csv export to generate CSVs

Field Type Required Description
activated `` No

Serviceconfig

Field Type Required Description
availability `` No Availability
cbs `` No Committed Burst Size
cir `` No CIR
destinationip `` No Far-end IP :applicable when: remoteunittype is layer-3
destinationmac `` No MAC destination :applicable when: remoteunittype is layer-2 l2-accedian l2-generic
ebs `` No Excess Burst Size
eir `` No EIR
enablevlan1 `` No VLAN 1 header
enablevlan2 `` No VLAN 2 header
farendconnector `` No Far-end connector :applicable when: remoteunittype is layer-3
fdv `` No Frame Delay Variation
fdvtype `` No FDV Type
fedscpcheck `` No DSCP check :applicable when: delaymeasurementtype is one-way-delay
fedscpunpreserve `` No DSCP unpreserve :applicable when: delaymeasurementtype is one-way-delay
fedscpvalue `` No DSCP Value :applicable when: delaymeasurementtype is one-way-delay
fenovlan1check `` No No VLAN1 check :applicable when: delaymeasurementtype is one-way-delay
fenovlan2check `` No No VLAN2 check :applicable when: delaymeasurementtype is one-way-delay
fevlan1deicheck `` No VLAN 1 DEI check :applicable when: delaymeasurementtype is one-way-delay
fevlan1deiunpreserve `` No VLAN 1 DEI unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan1deivalue `` No VLAN 1 DEI Value :applicable when: delaymeasurementtype is one-way-delay
fevlan1idcheck `` No VLAN 1 ID check :applicable when: delaymeasurementtype is one-way-delay
fevlan1idunpreserve `` No VLAN 1 ID unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan1idvalue `` No VLAN 1 ID Value :applicable when: delaymeasurementtype is one-way-delay
fevlan1pcpcheck `` No VLAN 1 PCP check :applicable when: delaymeasurementtype is one-way-delay
fevlan1pcpunpreserve `` No VLAN 1 PCP unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan1pcpvalue `` No VLAN 1 PCP Value :applicable when: delaymeasurementtype is one-way-delay
fevlan2deicheck `` No VLAN 2 DEI check :applicable when: delaymeasurementtype is one-way-delay
fevlan2deiunpreserve `` No VLAN 2 DEI unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan2deivalue `` No VLAN 2 DEI Value :applicable when: delaymeasurementtype is one-way-delay
fevlan2idcheck `` No VLAN 2 ID check :applicable when: delaymeasurementtype is one-way-delay
fevlan2idunpreserve `` No VLAN 2 ID unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan2idvalue `` No VLAN 2 ID Value :applicable when: delaymeasurementtype is one-way-delay
fevlan2pcpcheck `` No VLAN 2 PCP check :applicable when: delaymeasurementtype is one-way-delay
fevlan2pcpunpreserve `` No VLAN 2 PCP unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan2pcpvalue `` No VLAN 2 PCP Value :applicable when: delaymeasurementtype is one-way-delay
flr `` No Frame Loss Ratio
framesizetype `` No Frame Size Type
ftd `` No Frame Transfer Delay
ftdtype `` No FTD Type
incomingport `` No Incoming port :applicable when: remoteunittype is layer-3
loopback `` No TW Loopback :applicable when: remoteunittype is layer-3
meglevel `` No Y.1731 MEG level :applicable when: remoteunittype is layer-2 l2-accedian l2-generic
mfactor `` No M factor
onewayreversepath `` No OW Reverse Path :applicable when: remoteunittype is layer-3
ooopercentage `` No Out-of-order percentage (%)
ooopercentageenable `` No Out-of-order percentage
packetsize `` No Packet Size :applicable when: framesizetype is EMIX
policingenable `` No Policing test
remoteenablevlan1 `` No VLAN 1 header
remoteenablevlan2 `` No VLAN 2 header
remoteunitdscp `` No DSCP :applicable when: remoteunittype is layer-3
remoteunitme `` No Far-end element
remotevlan1cfi `` No VLAN 1 CFI
remotevlan1ethertype `` No VLAN 1 Ethertype
remotevlan1id `` No VLAN 1 ID
remotevlan1priority `` No VLAN 1 priority
remotevlan2cfi `` No VLAN 2 CFI
remotevlan2ethertype `` No VLAN 2 Ethertype
remotevlan2id `` No VLAN 2 ID
remotevlan2priority `` No VLAN 2 priority
sequenceofsizes `` No Sequence of sizes :applicable when: framesizetype is fixed
serviceenable `` No Enable service
serviceid `` No Service ID
servicename `` No Service name
sourceip `` No Near-end IP :applicable when: remoteunittype is layer-3
steploadenable `` No Step test
userpacketsize `` No User define :applicable when: framesizetype is fixed
vlan1cfi `` No VLAN 1 CFI
vlan1ethertype `` No VLAN 1 Ethertype
vlan1id `` No VLAN 1 ID
vlan1priority `` No VLAN 1 priority
vlan2cfi `` No VLAN 2 CFI
vlan2ethertype `` No VLAN 2 Ethertype
vlan2id `` No VLAN 2 ID
vlan2priority `` No VLAN 2 priority

ServiceconfigInputObject

Field Type Required Description
availability `` No Availability
cbs `` No Committed Burst Size
cir `` No CIR
destinationip `` No Far-end IP :applicable when: remoteunittype is layer-3
destinationmac `` No MAC destination :applicable when: remoteunittype is layer-2 l2-accedian l2-generic
ebs `` No Excess Burst Size
eir `` No EIR
enablevlan1 `` No VLAN 1 header
enablevlan2 `` No VLAN 2 header
farendconnector `` No Far-end connector :applicable when: remoteunittype is layer-3
fdv `` No Frame Delay Variation
fdvtype `` No FDV Type
fedscpcheck `` No DSCP check :applicable when: delaymeasurementtype is one-way-delay
fedscpunpreserve `` No DSCP unpreserve :applicable when: delaymeasurementtype is one-way-delay
fedscpvalue `` No DSCP Value :applicable when: delaymeasurementtype is one-way-delay
fenovlan1check `` No No VLAN1 check :applicable when: delaymeasurementtype is one-way-delay
fenovlan2check `` No No VLAN2 check :applicable when: delaymeasurementtype is one-way-delay
fevlan1deicheck `` No VLAN 1 DEI check :applicable when: delaymeasurementtype is one-way-delay
fevlan1deiunpreserve `` No VLAN 1 DEI unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan1deivalue `` No VLAN 1 DEI Value :applicable when: delaymeasurementtype is one-way-delay
fevlan1idcheck `` No VLAN 1 ID check :applicable when: delaymeasurementtype is one-way-delay
fevlan1idunpreserve `` No VLAN 1 ID unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan1idvalue `` No VLAN 1 ID Value :applicable when: delaymeasurementtype is one-way-delay
fevlan1pcpcheck `` No VLAN 1 PCP check :applicable when: delaymeasurementtype is one-way-delay
fevlan1pcpunpreserve `` No VLAN 1 PCP unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan1pcpvalue `` No VLAN 1 PCP Value :applicable when: delaymeasurementtype is one-way-delay
fevlan2deicheck `` No VLAN 2 DEI check :applicable when: delaymeasurementtype is one-way-delay
fevlan2deiunpreserve `` No VLAN 2 DEI unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan2deivalue `` No VLAN 2 DEI Value :applicable when: delaymeasurementtype is one-way-delay
fevlan2idcheck `` No VLAN 2 ID check :applicable when: delaymeasurementtype is one-way-delay
fevlan2idunpreserve `` No VLAN 2 ID unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan2idvalue `` No VLAN 2 ID Value :applicable when: delaymeasurementtype is one-way-delay
fevlan2pcpcheck `` No VLAN 2 PCP check :applicable when: delaymeasurementtype is one-way-delay
fevlan2pcpunpreserve `` No VLAN 2 PCP unpreserve :applicable when: delaymeasurementtype is one-way-delay
fevlan2pcpvalue `` No VLAN 2 PCP Value :applicable when: delaymeasurementtype is one-way-delay
flr `` No Frame Loss Ratio
framesizetype `` No Frame Size Type
ftd `` No Frame Transfer Delay
ftdtype `` No FTD Type
incomingport `` No Incoming port :applicable when: remoteunittype is layer-3
loopback `` No TW Loopback :applicable when: remoteunittype is layer-3
meglevel `` No Y.1731 MEG level :applicable when: remoteunittype is layer-2 l2-accedian l2-generic
mfactor `` No M factor
onewayreversepath `` No OW Reverse Path :applicable when: remoteunittype is layer-3
ooopercentage `` No Out-of-order percentage (%)
ooopercentageenable `` No Out-of-order percentage
packetsize `` No Packet Size :applicable when: framesizetype is EMIX
policingenable `` No Policing test
remoteenablevlan1 `` No VLAN 1 header
remoteenablevlan2 `` No VLAN 2 header
remoteunitdscp `` No DSCP :applicable when: remoteunittype is layer-3
remoteunitme `` No Far-end element
remotevlan1cfi `` No VLAN 1 CFI
remotevlan1ethertype `` No VLAN 1 Ethertype
remotevlan1id `` No VLAN 1 ID
remotevlan1priority `` No VLAN 1 priority
remotevlan2cfi `` No VLAN 2 CFI
remotevlan2ethertype `` No VLAN 2 Ethertype
remotevlan2id `` No VLAN 2 ID
remotevlan2priority `` No VLAN 2 priority
sequenceofsizes `` No Sequence of sizes :applicable when: framesizetype is fixed
serviceenable `` No Enable service
serviceid `` No Service ID
servicename `` No Service name
sourceip `` No Near-end IP :applicable when: remoteunittype is layer-3
steploadenable `` No Step test
userpacketsize `` No User define :applicable when: framesizetype is fixed
vlan1cfi `` No VLAN 1 CFI
vlan1ethertype `` No VLAN 1 Ethertype
vlan1id `` No VLAN 1 ID
vlan1priority `` No VLAN 1 priority
vlan2cfi `` No VLAN 2 CFI
vlan2ethertype `` No VLAN 2 Ethertype
vlan2id `` No VLAN 2 ID
vlan2priority `` No VLAN 2 priority

ServicelistMo

This represents a DTO managed object of Servicelist type.

Field Type Required Description
availability `` No The availability
blind `` No The blind
cbs `` No The cbs
cir `` No The cir
couple `` No The couple
destinationip `` No The destinationip
[...]
